Package org.drinkless.tdlib

# Class TdApi.StarTransactionTypePaidMessageReceive

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarTransactionType
org.drinkless.tdlib.TdApi.StarTransactionTypePaidMessageReceive

Enclosing class:
  `TdApi`

public static class TdApi.StarTransactionTypePaidMessageReceive extends TdApi.StarTransactionType
The transaction is a receiving of a paid message; relevant for regular users, supergroup and channel chats only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StarTransactionType

  `TdApi.StarTransactionType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `commissionPerMille`
  The number of Telegram Stars received by the Telegram for each 1000 Telegram Stars paid for message sending.
  `TdApi.StarAmount`
  `commissionStarAmount`
  The Telegram Star amount that was received by Telegram; can be negative for refunds.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `messageCount`
  Number of received paid messages.
  `TdApi.MessageSender`
  `senderId`
  Identifier of the sender of the message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarTransactionTypePaidMessageReceive()`
  The transaction is a receiving of a paid message; relevant for regular users, supergroup and channel chats only.
  `StarTransactionTypePaidMessageReceive(TdApi.MessageSender senderId, int messageCount, int commissionPerMille, TdApi.StarAmount commissionStarAmount)`
  The transaction is a receiving of a paid message; relevant for regular users, supergroup and channel chats only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### senderId

    public TdApi.MessageSender senderId
    Identifier of the sender of the message.

  - ### messageCount

    public int messageCount
    Number of received paid messages.

  - ### commissionPerMille

    public int commissionPerMille
    The number of Telegram Stars received by the Telegram for each 1000 Telegram Stars paid for message sending.

  - ### commissionStarAmount

    public TdApi.StarAmount commissionStarAmount
    The Telegram Star amount that was received by Telegram; can be negative for refunds.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StarTransactionTypePaidMessageReceive

    public StarTransactionTypePaidMessageReceive()
    The transaction is a receiving of a paid message; relevant for regular users, supergroup and channel chats only.

  - ### StarTransactionTypePaidMessageReceive

    public StarTransactionTypePaidMessageReceive(TdApi.MessageSender senderId, int messageCount, int commissionPerMille, TdApi.StarAmount commissionStarAmount)
    The transaction is a receiving of a paid message; relevant for regular users, supergroup and channel chats only.
    Parameters:
      `senderId` - Identifier of the sender of the message.
      `messageCount` - Number of received paid messages.
      `commissionPerMille` - The number of Telegram Stars received by the Telegram for each 1000 Telegram Stars paid for message sending.
      `commissionStarAmount` - The Telegram Star amount that was received by Telegram; can be negative for refunds.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StarTransactionType`
    Returns:
      this.CONSTRUCTOR